Bug 1027749 - [abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: nm_secret_agent_get_secrets: Process /usr/sbin/NetworkManager was killed by signal 11 (SIGSEGV)
[abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: nm_secret_agent_get_secret...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fa1490186cdfdb14627439728c6...
:
: 1030193 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 06:26 EST by Jeremy Harris
Modified: 2015-06-29 08:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.32 KB, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: cgroup (152 bytes, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: core_backtrace (9.85 KB, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: dso_list (4.49 KB, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: environ (72 bytes, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: maps (20.75 KB, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: open_fds (2.83 KB, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: proc_pid_status (907 bytes, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details
File: var_log_messages (27.92 KB, text/plain)
2013-11-07 06:26 EST, Jeremy Harris
no flags Details

  None (edit)
Description Jeremy Harris 2013-11-07 06:26:13 EST
Description of problem:
Logging in as normal user.  Last-used netwk was Red Hat internal wifi; no wired net connected.
/var/log/messages claims issues with missing interface name; ifconfig shows this interface present
(this was only checked after dealing with the wifi security window).

Version-Release number of selected component:
NetworkManager-0.9.9.0-14.git20131003.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_secret_agent_get_secrets
executable:     /usr/sbin/NetworkManager
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 nm_secret_agent_get_secrets at settings/nm-secret-agent.c:278
 #1 get_agent_request_secrets at settings/nm-agent-manager.c:899
 #2 get_agent_modify_auth_cb at settings/nm-agent-manager.c:949
 #3 auth_chain_finish at nm-manager-auth.c:87
Comment 1 Jeremy Harris 2013-11-07 06:26:22 EST
Created attachment 821020 [details]
File: backtrace
Comment 2 Jeremy Harris 2013-11-07 06:26:26 EST
Created attachment 821021 [details]
File: cgroup
Comment 3 Jeremy Harris 2013-11-07 06:26:30 EST
Created attachment 821022 [details]
File: core_backtrace
Comment 4 Jeremy Harris 2013-11-07 06:26:35 EST
Created attachment 821023 [details]
File: dso_list
Comment 5 Jeremy Harris 2013-11-07 06:26:38 EST
Created attachment 821024 [details]
File: environ
Comment 6 Jeremy Harris 2013-11-07 06:26:41 EST
Created attachment 821025 [details]
File: exploitable
Comment 7 Jeremy Harris 2013-11-07 06:26:44 EST
Created attachment 821026 [details]
File: limits
Comment 8 Jeremy Harris 2013-11-07 06:26:48 EST
Created attachment 821027 [details]
File: maps
Comment 9 Jeremy Harris 2013-11-07 06:26:51 EST
Created attachment 821028 [details]
File: open_fds
Comment 10 Jeremy Harris 2013-11-07 06:26:54 EST
Created attachment 821029 [details]
File: proc_pid_status
Comment 11 Jeremy Harris 2013-11-07 06:26:58 EST
Created attachment 821030 [details]
File: var_log_messages
Comment 12 Jirka Klimes 2013-11-08 05:34:40 EST
Jeremy, are you able to reproduce?

> Nov 07 11:12:18 localhost.localdomain NetworkManager[1086]: <warn> No agents were available for this request.
means that there is no secret agent (NM applet) to provide secrets.
Do you run gnome-shell or other DE? Was there a crash of the shell/applet?

> Nov 07 11:12:37 localhost.localdomain NetworkManager[1086]: nm_secret_agent_get_description: assertion 'NM_IS_SECRET_AGENT (agent)' failed
is the problem. We use an invalid agent object and crash later.

Would you install NetworkManager-debuginfo package, so that we can have more information if you are able to reproduce.
Comment 13 Jeremy Harris 2013-11-15 10:04:35 EST
Installed NetworkManager-debuginfo-0.9.9.0.15
Currently on NetworkManager-0.9.9.0-15

Not reproducing for me at present...  fixed in this version, maybe?

I didn't check on the shell before; it could have been gnome-shell.
Current is xfce4-terminal.  I don't use any IDE.
Comment 14 Jirka Klimes 2013-11-20 04:32:35 EST
*** Bug 1030193 has been marked as a duplicate of this bug. ***
Comment 15 Andre Klapper 2013-12-20 10:20:36 EST
Another user experienced a similar problem:

Booting into XFCE session after laptop got roughly switched off due to electricity breakdown and no battery inserted.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_secret_agent_get_secrets
executable:     /usr/sbin/NetworkManager
kernel:         3.11.10-301.fc20.i686+PAE
package:        NetworkManager-0.9.9.0-20.git20131003.fc20
reason:         NetworkManager killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 16 Fedora End Of Life 2015-05-29 05:42:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 08:50:34 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.